RHEL 6 Is Not Obsolete: Google Chrome

Google generated quite a lot of heat recently when its Chrome started showing “Google Chrome is no longer updating because your operating system is obsolete” message on those GNU/Linux based systems which were using older C++ standard libraries. We covered the story in detail here.

Now, Google has changed to wording of the notification so that people like Jan Wildeboer don’t get offended. The wordings of the previous messgae was indeed offensive and inappropriate. How can the latest version on an operating system be obsolete?

A Google developer Mal admitted on the Chromium Open Source project list that “It’s not entirely accurate, and we’d like to change it to:

Google Chrome has stopped updating and no longer supports this version of your operating system.

Mal further wrote, “We’re going to be showing this on a number of Linux versions that won’t be supported as of Chrome 27.”